Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599634 - Expand cluster imports only one node
Summary: Expand cluster imports only one node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-node-agent
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Shubhendu Tripathi
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-07-10 09:04 UTC by Filip Balák
Modified: 2018-09-04 07:09 UTC (History)
6 users (show)

Fixed In Version: tendrl-node-agent-1.6.3-9.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:08:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Expand task (deleted)
2018-07-10 09:04 UTC, Filip Balák
no flags Details
1 - Node is expanded by task (deleted)
2018-07-10 09:05 UTC, Filip Balák
no flags Details
2 - Node remains unmanaged (deleted)
2018-07-10 09:05 UTC, Filip Balák
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Tendrl node-agent issues 840 None None None 2018-07-13 08:07:32 UTC
Red Hat Bugzilla 1516417 None None None Never
Red Hat Bugzilla 1599630 None None None Never
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:09:30 UTC

Internal Links: 1516417 1599630

Description Filip Balák 2018-07-10 09:04:26 UTC
Created attachment 1457720 [details]
Expand task

Description of problem:
When expand cluster job is triggered it imports only one node. After that it is marked as finished but the other node remains unmanaged and option expand is no longer possible. The node that remains unmangaged is the one that have created Host dashboard before Cluster Expand is triggered as described in BZ 1599630.


Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.3-5.el7rhgs.noarch
tendrl-api-1.6.3-4.el7rhgs.noarch
tendrl-api-httpd-1.6.3-4.el7rhgs.noarch
tendrl-commons-1.6.3-8.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-6.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-6.el7rhgs.noarch
tendrl-node-agent-1.6.3-8.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-6.el7rhgs.noarch


How reproducible:
100%

Steps to Reproduce:
1. Import cluster with 4 nodes into WA.
2. Add 2 more nodes to cluster and create distributed replicated volume.
3. Restart all nodes.
4. Expand cluster in WA.

Actual results:
Only one node is imported.

Expected results:
All nodes should be imported.

Additional info:
For configuration with created distributed-replicated volume it happens every time but when tried expand only with peer probe without any volume it imported all nodes.

Comment 1 Filip Balák 2018-07-10 09:05:21 UTC
Created attachment 1457721 [details]
1 - Node is expanded by task

Comment 2 Filip Balák 2018-07-10 09:05:57 UTC
Created attachment 1457722 [details]
2 - Node remains unmanaged

Comment 3 Shubhendu Tripathi 2018-07-13 07:34:27 UTC
This is actually not an issue with the expand flow. Rather what has happened in this scenario is that the one of nodes pending for expansion got elected as the provisioner of the cluster and so got removed from the list of expansion nodes.

It would need change in provisioner election logic and have an additional check to make sure nodes pending for expansion should not participate in the election.

Comment 4 Rohan Kanade 2018-07-13 08:07:33 UTC
Added upstream issue and PR: https://github.com/Tendrl/node-agent/pull/841

Comment 7 Shubhendu Tripathi 2018-07-17 03:03:44 UTC
Now with the fix the nodes pending for expansion cannot claim the provisioner tag, and so such issue where one node gets left out while expansion of cluster.

Comment 9 Martin Bukatovic 2018-07-17 17:58:17 UTC
This problem breaks expand RFE BZ 1516417.

Comment 10 Filip Balák 2018-07-23 13:35:05 UTC
Tested multiple times. Seems ok. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-5.el7rhgs.noarch
tendrl-api-1.6.3-4.el7rhgs.noarch
tendrl-api-httpd-1.6.3-4.el7rhgs.noarch
tendrl-commons-1.6.3-9.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-7.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-7.el7rhgs.noarch
tendrl-node-agent-1.6.3-9.el7rhgs.noarch
tendrl-notifier-1.6.3-4.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-8.el7rhgs.noarch

Comment 12 errata-xmlrpc 2018-09-04 07:08:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.